Groovy 1.7.0

## org.codehaus.groovy.runtime
Class XmlGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.XmlGroovyMethods

    class XmlGroovyMethods
    extends Object

This class defines all the new XML-related groovy methods which enhance the normal JDK XML classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

author:
  Paul King

author:
  Jochen Theodorou

Constructor Summary
`XmlGroovyMethods()`

Method Summary
`static Iterator` | `iterator(NodeList nodeList)` Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### XmlGroovyMethods

    XmlGroovyMethods()

Method Detail

### iterator

    public static Iterator iterator(NodeList nodeList)

  Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.
  param:
    nodeList a NodeList
  return:
    an Iterator for a NodeList
  since:
    1.0

Copyright © 2003-2009 The Codehaus. All rights reserved.